org.modeshape.sequencer.teiid.lexicon

## Interface VdbLexicon.Vdb

- Enclosing interface:
    VdbLexicon

      public static interface VdbLexicon.Vdb

  JCR identifiers relating to the VDB manifest.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DATA_ROLES`
    `static String` | `DECLARATIVE_MODEL`
    `static String` | `DESCRIPTION`
    `static String` | `ENTRIES`
    `static String` | `IMPORT_VDBS`
    `static String` | `MODEL`
    `static String` | `ORIGINAL_FILE`
    `static String` | `PREVIEW`
    `static String` | `TRANSLATORS`
    `static String` | `VERSION`
    `static String` | `VIRTUAL_DATABASE`

- - ### Field Detail

    - #### DATA_ROLES

          static final String DATA_ROLES

      See Also:
        Constant Field Values

    - #### DECLARATIVE_MODEL

          static final String DECLARATIVE_MODEL

      See Also:
        Constant Field Values

    - #### DESCRIPTION

          static final String DESCRIPTION

      See Also:
        Constant Field Values

    - #### ENTRIES

          static final String ENTRIES

      See Also:
        Constant Field Values

    - #### IMPORT_VDBS

          static final String IMPORT_VDBS

      See Also:
        Constant Field Values

    - #### MODEL

          static final String MODEL

      See Also:
        Constant Field Values

    - #### ORIGINAL_FILE

          static final String ORIGINAL_FILE

      See Also:
        Constant Field Values

    - #### PREVIEW

          static final String PREVIEW

      See Also:
        Constant Field Values

    - #### TRANSLATORS

          static final String TRANSLATORS

      See Also:
        Constant Field Values

    - #### VERSION

          static final String VERSION

      See Also:
        Constant Field Values

    - #### VIRTUAL_DATABASE

          static final String VIRTUAL_DATABASE

      See Also:
        Constant Field Values

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.